epp_Credentials (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_Credentials class

### org.openrtk.idl.epp0503

# Class epp_Credentials

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_Credentials`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Credentials`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains client identity information necessary to establish a session with the EPP server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_Credentials.java,v 1.1 2003/03/21 16:18:25 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:18:25 $

See Also:
  `epp_Command`

  ## Field Summary
  `String` | `m_client_id` The client identifier created on the server.
  `String` | `m_new_password` The new client password to be used for the future session establishment.
  `epp_Options` | `m_options` The options element that contains client's choices on the protocol version and response language
  `String` | `m_password` The client password.

  ## Constructor Summary
  `epp_Credentials()` Empty constructor
  `epp_Credentials(String _m_client_id, String _m_password, String _m_new_password, epp_Options _m_options)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getClientId()` Accessor method for the client identifier created on the server
  `String` | `getNewPassword()` Accessor method for the new client password
  `epp_Options` | `getOptions()` Accessor method for the options element that contains client's choices
  `String` | `getPassword()` Accessor method for the client password
  `void` | `setClientId(String value)` Accessor method for the client identifier created on the server
  `void` | `setNewPassword(String value)` Accessor method for the new client password
  `void` | `setOptions(epp_Options value)` Accessor method for the options element that contains client's choices
  `void` | `setPassword(String value)` Accessor method for the client password
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_client_id

    public String m_client_id

> The client identifier created on the server.
> See Also:
>   `setClientId(String)`, `getClientId()`

### m_new_password

    public String m_new_password

> The new client password to be used for the future session establishment.
> See Also:
>   `setNewPassword(String)`, `getNewPassword()`

### m_options

    public epp_Options m_options

> The options element that contains client's choices on the protocol version and response language
> See Also:
>   `setOptions(epp_Options)`, `getOptions()`

### m_password

    public String m_password

> The client password.
> See Also:
>   `setPassword(String)`, `getPassword()`

## Constructor Details

### epp_Credentials

    public epp_Credentials()

> Empty constructor

### epp_Credentials

    public epp_Credentials(String _m_client_id,
                           String _m_password,
                           String _m_new_password,
                           epp_Options _m_options)

> The constructor with initializing variables.
> Parameters:
>   `_m_client_id` - The client identifier created on the server
>   `_m_password` - The client password
>   `_m_new_password` - The new client password
>   `_m_options` - The options element that contains client's choices

## Method Details

### getClientId

    public String getClientId()

> Accessor method for the client identifier created on the server
> Returns:
>   The client identifier
> See Also:
>   `m_client_id`

### getNewPassword

    public String getNewPassword()

> Accessor method for the new client password
> Returns:
>   The new password
> See Also:
>   `m_new_password`

### getOptions

    public epp_Options getOptions()

> Accessor method for the options element that contains client's choices
> Returns:
>   The options element
> See Also:
>   `m_options`

### getPassword

    public String getPassword()

> Accessor method for the client password
> Returns:
>   The password
> See Also:
>   `m_password`

### setClientId

    public void setClientId(String value)

> Accessor method for the client identifier created on the server
> Parameters:
>   `value` - The client identifier
> See Also:
>   `m_client_id`

### setNewPassword

    public void setNewPassword(String value)

> Accessor method for the new client password
> Parameters:
>   `value` - The new password
> See Also:
>   `m_new_password`

### setOptions

    public void setOptions(epp_Options value)

> Accessor method for the options element that contains client's choices
> Parameters:
>   `value` - The options element
> See Also:
>   `m_options`

### setPassword

    public void setPassword(String value)

> Accessor method for the client password
> Parameters:
>   `value` - The password
> See Also:
>   `m_password`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS